<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,132,992,598}</property>
    <property name="Name">[SE_PROD.scr]</property>
    <property name="Caption">[Cadastro de Produtos]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL w_colsep = " "+chr(179)
//skel VARIAVEL z_xBlk = "zrecn:=recn(),Abra('0',R_SIGA,'SE_GREAT','SE_GREAT','SE_GREAT','Str(pcod,6)+Ptam+Pcor'),"
//skel VARIAVEL z_xBlk = z_xBlk+ "if(se_prod->peatual<=0,Mensagem('O estoque total do produto esta zerado...',1),Brow_Db('SE_GREAT',.t.)),"
//skel VARIAVEL z_xBlk = z_xBlk+ "Se_GREAT->(DbCloseArea()),DbSelectArea('se_prod'),dbgoto(zrecn)"
//skel VARIAVEL z_BlkItens = _CreateBlock( z_xBlk )
//skel VARIAVEL z_xBlk = "Z_Sele:=Select(),"
//skel VARIAVEL z_xBlk = z_xBlk+ 'Abra("0",R_SIGA,"SE_GREDI","SE_GREDI","SE_GREDI","Str(pcod,6)+str(pedicao,5)+mfges"),'
//skel VARIAVEL z_xBlk = z_xBlk+ "if(type('se_prod->pconsig')<>'U'.and.upper(se_prod->pconsig)<>'S',Mensagem('O produto nao tem controle de estoque com compra consignada...',1),Brow_Db('SE_GREDI',.t.)),"
//skel VARIAVEL z_xBlk = z_xBlk+ 'Se_GREDI->(DbCloseArea()),'
//skel VARIAVEL z_xBlk = z_xBlk+ "DbSelectArea(z_sele)"
//skel VARIAVEL z_BlkEdi = _CreateBlock( z_xBlk )
//skel VARIAVEL z_xBlk = ""
//skel /#Premio;Ppremio;N;999999;6;S;
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
hwg_TbMt(oToolbar,' 22;upd_prod(1,"PROD_T0");Ins-Inclui Registro;Ins-Inclui;;')
hwg_TbMt(oToolbar,' 65;tb_update(D_OB);A-Altera Registro;A-Altera;;')
hwg_TbMt(oToolbar,'  7;tb_del(d_ob);Del-Apaga Registro;Del-Deleta;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,' 61;doget(D_ob,,.t.);=-Repete_Edicao ;= - Repete_Edicao;;')
hwg_TbMt(oToolbar,' 80;tb_pesq(D_OB);P-Pesquisa Chave;P-Pesquisa;;')
hwg_TbMt(oToolbar,' 13;se_doget(D_ob);Enter-Edita Campo;Enter - Edita Campo;;')
hwg_TbMt(oToolbar,' 84;tb_locate(D_oB);T-Busca_Trecho ;T-Acha Trecho;;')
hwg_TbMt(oToolbar,' 76;tb_locate(D_oB);L-Busca_Iniciais ;L-Acha Trecho;;')
hwg_TbMt(oToolbar,' 67;tb_locate(D_oB);C-Repete_Busca ;C-Acha Trecho;;')
hwg_TbMt(oToolbar,' 79;tb_index(D_OB);O-Ordena ;O-Ordena;;')
hwg_TbMt(oToolbar,' 73;lst_alias(D_OB);I-Imprime ;I-Imprime;;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,' 93;disp_sdse(pcod);]-Demanda;] - Demanda;;')
hwg_TbMt(oToolbar,' 69;ext_screen(pcod,pdatabal);E-Extrato ;E - Extrato;;')
hwg_TbMt(oToolbar,' 47;Eval(z_BlkItens);/-Subitens ;/ - Subitens;;')
hwg_TbMt(oToolbar,' 91;disp_sdse(se_prod->pref,"R");[-Dem_Ref ;[ - Dem_Ref;;')
hwg_TbMt(oToolbar,' 32;Cibrow("SE_PRDLJ",,"SE_PRDL0");Barra-Lojas ;Barra - Lojas;;')
hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;xml\icon\sair.ico;;;;;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu() 
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,992,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,69,971,475}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Descricao;PDESC;C;@s22;22;S;')
hwg_TbFi(D_oB, 'Cod;PCOD;N;999999;6;N;')
hwg_TbFi(D_oB, 'Cod Barras;Pdic6;N;9999999999999;13;S;')
hwg_TbFi(D_oB, 'EAtual;PEATUAL;N;99999;5;S;')
hwg_TbFi(D_oB, 'CF;pcategoria;C;!!!;2;S;')
hwg_TbFi(D_oB, 'Prc Cust;PVLUVEN3;N;99999.99;  8;;')
hwg_TbFi(D_oB, 'PrVenda;PVLUVENDA;N;9999.99;7;S;')
hwg_TbFi(D_oB, 'G;Pgpreco;C;X;  1;;')
hwg_TbFi(D_oB, 'Div;PDIVISAO;C;xxxx;  4;;')
hwg_TbFi(D_oB, '%Dsc;Pdesconto;N;999.99;6;;')
hwg_TbFi(D_oB, '%Prm;Pdescprom;N;999.99;6;;')
hwg_TbFi(D_oB, 'DataPrec;Pdataalter;D;;10;N;')
hwg_TbFi(D_oB, 'Tipo;Ptipo;C;@S5;5;S;')
hwg_TbFi(D_oB, '%IPI;Pipient;N;999.99;6;S;')
hwg_TbFi(D_oB, 's;pServico;C;X;  1;;')
hwg_TbFi(D_oB, 'Prc Sug.;PVLUsug;N;99999.99;  8;S;')
hwg_TbFi(D_oB, 'Ref.Fabr;Preffab;C;@S8;8;S;;')
hwg_TbFi(D_oB, 'Marca/Fabric;Pref;C;@S10;10;S;')
hwg_TbFi(D_oB, 'Modelo;pmarcamode;C;@s10;11;S;')
hwg_TbFi(D_oB, 'E Contr;PEATx;N;9999999;  7;;')
hwg_TbFi(D_oB, 'E Min;PEMIN;N;999999;  6;;')
hwg_TbFi(D_oB, 'Un;PUNIDADE;C;xxxxx;  5;;')
hwg_TbFi(D_oB, 'Fracao;PITENS;N;9999;  4;;')
hwg_TbFi(D_oB, 'Fabr;PPRINCFORN;N;999;  3;;')
hwg_TbFi(D_oB, 'E Max;PEMAX;N;999999;  6;;')
hwg_TbFi(D_oB, 'CO;PCODORI;N;9;  1;;')
hwg_TbFi(D_oB, 'L Prc;PFGLPRE;C;x;  1;;')
hwg_TbFi(D_oB, 'Em Prom;PFGPROM;C;x;  1;;')
D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SE_PROD",.F.,.T.,{||.T.} }
sHwgKeyEdit:= 61
d_ob:bEdit := {|D_oB| nKey:=13,se_doget(D_ob)}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
</part>
